Timezone and local time at a point

Returns the time zone, UTC offset and current local time at a latitude/longitude.

Request

GEThttps://geo-tools.p.apihiver.com/v1/timezone?coords=51.5%2C-0.12
*
String. 'lat,lon'.
Language
Client
1curl --request GET \
2  --url 'https://geo-tools.p.apihiver.com/v1/timezone?coords=51.5%2C-0.12' \
3  --header 'Accept: application/json' \
4  --header 'X-API-Key: YOUR_API_KEY'

Timezone and local time at a point: Geocoding & Geo Tools API reference

Returns the time zone, UTC offset and current local time at a latitude/longitude. This endpoint is part of the Geocoding & Geo Tools API: Geocode cities to coordinates, reverse-geocode coordinates, measure distances and find the time zone of any place.

Example response (200, application/json)

Success.

1{
2  "is_dst": true,
3  "timezone": "Europe/London",
4  "local_time": "2026-09-26T19:27:07+01:00",
5  "utc_offset": "+01:00",
6  "abbreviation": "BST"
7}

Errors

  • 400 — A required parameter is missing or a value has the wrong format.
    1{
    2  "error": {
    3    "code": "INVALID_INPUT",
    4    "message": "coords: Field required"
    5  }
    6}

Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.